function [ RHSF, RHSS ] = RightHandSideMomentum(dx, amint,apint,umint,hmint,humint,hvmint,upint,hpint,hupint,hvpint,u,v,hu,hv,h,g,f,B,epsilonf )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here


    Hint = ([apint.*humint./(apint-amint);apint.*(humint.*umint + g/2*hmint.^2)./(apint-amint); apint.*(hvmint.*umint)./(apint-amint)]-...
            [amint.*hupint./(apint-amint);amint.*(hupint.*upint + g/2*hpint.^2)./(apint-amint);amint.*(hvpint.*upint)./(apint-amint)]) ...
           + ([apint.*amint./(apint-amint).*hpint;apint.*amint./(apint-amint).*(hupint);apint.*amint./(apint-amint).*(hvpint)]-...
              [apint.*amint./(apint-amint).*hmint;apint.*amint./(apint-amint).*(humint);apint.*amint./(apint-amint).*(hvmint)]);
          
          Hint(1,abs(apint)<1.e-15 & abs(amint)<1.e-15) = 0;
          Hint(2,abs(apint)<1.e-15 & abs(amint)<1.e-15) = 0;
       
    RHSF =-1/dx.*(Hint(:,2:end)-Hint(:,1:end-1));
    
    
    RHSS = [zeros(size(hmint(2:end))); ...
            -g/dx.*h(2:end-1).*(B(2:end)-B(1:end-1)) + f*hv(2:end-1) - epsilonf*hu(2:end-1).*u(2:end-1);...
            - f*hu(2:end-1)- epsilonf*hv(2:end-1).*v(2:end-1)];

end

