function [ hmint,hpint,humint,hupint,hvmint,hvpint,umint,upint,vmint,vpint ] = VariablesBordMaille( theta,dx,h,u,v,hu,hv,epsilon )
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here

%%% find h intermediaire avec dh/dx = 0 en x=0
    zk = [theta*(h(2:end-1)-h(1:end-2))/dx;(h(3:end)-h(1:end-2))/2/dx;theta*(h(3:end)-h(2:end-1))/dx];
    A = [min(zk);max(zk)];
    hx = [(h(2)-h(1))/dx A(1,:).*(A(1,:)>0) + A(2,:).*(A(2,:)<0) (h(end)-h(end-1))/dx];
    
    
    hmint = h(1:end-1) + dx/2*hx(1:end-1);
    hpint = h(2:end) - dx/2*hx(2:end);
    
    % def h positif/home/local/UOB/math073v/Documents/MatlabRoutines_ShallowModel/Euler
    kfind = find(hmint<0);
    if isempty(kfind)~=1
        hmint(kfind) = 0;
    
        if kfind(1)==1
            display(['h zero proche du bord gauche'])
        else
            hpint(kfind-1) = 2*h(kfind);
            
        end
    end
    
    kfind = find(hpint<0);
    if isempty(kfind)~=1
        hpint(kfind) = 0;
        if kfind(end)==1
            display(['h zero proche du bord gauche'])
        else
            hmint(kfind+1) = 2*h(kfind+1);
           
        end
    end
    
    %%% find hu intermediaire
    zk = [theta*(hu(2:end-1)-hu(1:end-2))/dx;(hu(3:end)-hu(1:end-2))/2/dx;theta*(hu(3:end)-hu(2:end-1))/dx];
    A = [min(zk);max(zk)];
    hux = [(hu(2)-hu(1))/dx A(1,:).*(A(1,:)>0) + A(2,:).*(A(2,:)<0) (hu(end)-hu(end-1))/dx];
    
    
    humint = hu(1:end-1) + dx/2*hux(1:end-1);
    hupint = hu(2:end) - dx/2*hux(2:end);
    %%%
    
    %%% find u
    
    upint = sqrt(2).*hpint.*(hupint)./sqrt(hpint.^4+max([hpint.^4;epsilon*ones(size(hpint))],[],1));
    umint = sqrt(2).*hmint.*(humint)./sqrt(hmint.^4+max([hmint.^4;epsilon*ones(size(hmint))],[],1));
    
    
   
    
    
    
    
    %u(1) = 0;
    %u(end) = 0;
    
    %%% find hv intermediaire
    zk = [theta*(hv(2:end-1)-hv(1:end-2))/dx;(hv(3:end)-hv(1:end-2))/2/dx;theta*(hv(3:end)-hv(2:end-1))/dx];
    A = [min(zk);max(zk)];
    hvx = [(hv(2)-hv(1))/dx A(1,:).*(A(1,:)>0) + A(2,:).*(A(2,:)<0) (hv(end)-hv(end-1))/dx];
    
    
    hvmint = hv(1:end-1) + dx/2*hvx(1:end-1);
    hvpint = hv(2:end) - dx/2*hvx(2:end);
    %%%
    
    %%% find u
    
    vpint = sqrt(2).*hpint.*(hvpint)./sqrt(hpint.^4+max([hpint.^4;epsilon*ones(size(hpint))],[],1));
    vmint = sqrt(2).*hmint.*(hvmint)./sqrt(hmint.^4+max([hmint.^4;epsilon*ones(size(hmint))],[],1));
    
    
   
    
    
end

